## DzlTabStrip DzlTabStrip |

## Functions

GtkWidget * | dzl_tab_strip_new ()
GtkStack * | dzl_tab_strip_get_stack ()
void | dzl_tab_strip_set_stack ()
GtkPositionType | dzl_tab_strip_get_edge ()
void | dzl_tab_strip_set_edge ()
DzlTabStyle | dzl_tab_strip_get_style ()
void | dzl_tab_strip_set_style ()
void | dzl_tab_strip_add_control ()

## Types and Values

| DzlTabStripClass

## Description

## Functions

### dzl_tab_strip_new ()

    GtkWidget *
    dzl_tab_strip_new (void);

### dzl_tab_strip_get_stack ()

    GtkStack *
    dzl_tab_strip_get_stack (DzlTabStrip *self);

#### Returns

A GtkStack or `NULL`.

[transfer none][nullable]

### dzl_tab_strip_set_stack ()

    void
    dzl_tab_strip_set_stack (DzlTabStrip *self,
                             GtkStack *stack);

### dzl_tab_strip_get_edge ()

    GtkPositionType
    dzl_tab_strip_get_edge (DzlTabStrip *self);

### dzl_tab_strip_set_edge ()

    void
    dzl_tab_strip_set_edge (DzlTabStrip *self,
                            GtkPositionType edge);

### dzl_tab_strip_get_style ()

    DzlTabStyle
    dzl_tab_strip_get_style (DzlTabStrip *self);

### dzl_tab_strip_set_style ()

    void
    dzl_tab_strip_set_style (DzlTabStrip *self,
                             DzlTabStyle style);

### dzl_tab_strip_add_control ()

    void
    dzl_tab_strip_add_control (DzlTabStrip *self,
                               GtkWidget *widget);

## Types and Values

### DzlTabStripClass

    typedef struct {
      GtkBoxClass parent;

      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
      gpointer _reserved5;
      gpointer _reserved6;
      gpointer _reserved7;
      gpointer _reserved8;
    } DzlTabStripClass;